Bug 813067 - MTRR allocation fails on boot
MTRR allocation fails on boot
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.2
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Prarit Bhargava
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 15:48 EDT by ionosphere
Modified: 2012-04-29 18:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-29 18:55:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ionosphere 2012-04-16 15:48:31 EDT
Description of problem:

mtrr fails on boot up. 

Version-Release number of selected component (if applicable):

Centos 6.2  
Problem exists in latest kernel 2.6.32-220.7.1.el6.x86_64 and original kernel 2.6.32-220.el6.x86_64

How reproducible:

Always on boot-up. 

Steps to Reproduce:
1. Memory re-map enabled in bios
2. boot
3.
  
Actual results:

Apr 13 23:29:45  kernel: total RAM covered: 8183M
Apr 13 23:29:45  kernel: gran_size: 64K 	chunk_size: 64K 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 64K 	chunk_size: 128K 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 64K 	chunk_size: 256K 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 64K 	chunk_size: 512K 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 64K 	chunk_size: 1M 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 64K 	chunk_size: 2M 	num_reg: 8  	lose cover RAM: 4864M
Apr 13 23:29:45  kernel: gran_size: 64K 	chunk_size: 4M 	num_reg: 8  	lose cover RAM: 4864M
Apr 13 23:29:45  kernel: gran_size: 64K 	chunk_size: 8M 	num_reg: 8  	lose cover RAM: 4864M
Apr 13 23:29:45  kernel: gran_size: 64K 	chunk_size: 16M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 64K 	chunk_size: 32M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 64K 	chunk_size: 64M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 64K 	chunk_size: 128M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 64K 	chunk_size: 256M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: *BAD*gran_size: 64K 	chunk_size: 512M 	num_reg: 8  	lose cover RAM: -256M
Apr 13 23:29:45  kernel: gran_size: 64K 	chunk_size: 1G 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: *BAD*gran_size: 64K 	chunk_size: 2G 	num_reg: 8  	lose cover RAM: -1G
Apr 13 23:29:45  kernel: gran_size: 128K 	chunk_size: 128K 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 128K 	chunk_size: 256K 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 128K 	chunk_size: 512K 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 128K 	chunk_size: 1M 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 128K 	chunk_size: 2M 	num_reg: 8  	lose cover RAM: 4864M
Apr 13 23:29:45  kernel: gran_size: 128K 	chunk_size: 4M 	num_reg: 8  	lose cover RAM: 4864M
Apr 13 23:29:45  kernel: gran_size: 128K 	chunk_size: 8M 	num_reg: 8  	lose cover RAM: 4864M
Apr 13 23:29:45  kernel: gran_size: 128K 	chunk_size: 16M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 128K 	chunk_size: 32M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 128K 	chunk_size: 64M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 128K 	chunk_size: 128M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 128K 	chunk_size: 256M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: *BAD*gran_size: 128K 	chunk_size: 512M 	num_reg: 8  	lose cover RAM: -256M
Apr 13 23:29:45  kernel: gran_size: 128K 	chunk_size: 1G 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: *BAD*gran_size: 128K 	chunk_size: 2G 	num_reg: 8  	lose cover RAM: -1G
Apr 13 23:29:45  kernel: gran_size: 256K 	chunk_size: 256K 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 256K 	chunk_size: 512K 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 256K 	chunk_size: 1M 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 256K 	chunk_size: 2M 	num_reg: 8  	lose cover RAM: 4864M
Apr 13 23:29:45  kernel: gran_size: 256K 	chunk_size: 4M 	num_reg: 8  	lose cover RAM: 4864M
Apr 13 23:29:45  kernel: gran_size: 256K 	chunk_size: 8M 	num_reg: 8  	lose cover RAM: 4864M
Apr 13 23:29:45  kernel: gran_size: 256K 	chunk_size: 16M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 256K 	chunk_size: 32M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 256K 	chunk_size: 64M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 256K 	chunk_size: 128M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 256K 	chunk_size: 256M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: *BAD*gran_size: 256K 	chunk_size: 512M 	num_reg: 8  	lose cover RAM: -256M
Apr 13 23:29:45  kernel: gran_size: 256K 	chunk_size: 1G 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: *BAD*gran_size: 256K 	chunk_size: 2G 	num_reg: 8  	lose cover RAM: -1G
Apr 13 23:29:45  kernel: gran_size: 512K 	chunk_size: 512K 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 512K 	chunk_size: 1M 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 512K 	chunk_size: 2M 	num_reg: 8  	lose cover RAM: 4864M
Apr 13 23:29:45  kernel: gran_size: 512K 	chunk_size: 4M 	num_reg: 8  	lose cover RAM: 4864M
Apr 13 23:29:45  kernel: gran_size: 512K 	chunk_size: 8M 	num_reg: 8  	lose cover RAM: 4864M
Apr 13 23:29:45  kernel: gran_size: 512K 	chunk_size: 16M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 512K 	chunk_size: 32M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 512K 	chunk_size: 64M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 512K 	chunk_size: 128M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 512K 	chunk_size: 256M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: *BAD*gran_size: 512K 	chunk_size: 512M 	num_reg: 8  	lose cover RAM: -256M
Apr 13 23:29:45  kernel: gran_size: 512K 	chunk_size: 1G 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: *BAD*gran_size: 512K 	chunk_size: 2G 	num_reg: 8  	lose cover RAM: -1G
Apr 13 23:29:45  kernel: gran_size: 1M 	chunk_size: 1M 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 1M 	chunk_size: 2M 	num_reg: 8  	lose cover RAM: 4864M
Apr 13 23:29:45  kernel: gran_size: 1M 	chunk_size: 4M 	num_reg: 8  	lose cover RAM: 4864M
Apr 13 23:29:45  kernel: gran_size: 1M 	chunk_size: 8M 	num_reg: 8  	lose cover RAM: 4864M
Apr 13 23:29:45  kernel: gran_size: 1M 	chunk_size: 16M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 1M 	chunk_size: 32M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 1M 	chunk_size: 64M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 1M 	chunk_size: 128M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: gran_size: 1M 	chunk_size: 256M 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: *BAD*gran_size: 1M 	chunk_size: 512M 	num_reg: 8  	lose cover RAM: -256M
Apr 13 23:29:45  kernel: gran_size: 1M 	chunk_size: 1G 	num_reg: 8  	lose cover RAM: 0G
Apr 13 23:29:45  kernel: *BAD*gran_size: 1M 	chunk_size: 2G 	num_reg: 8  	lose cover RAM: -1G
Apr 13 23:29:45  kernel: gran_size: 2M 	chunk_size: 2M 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 2M 	chunk_size: 4M 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 2M 	chunk_size: 8M 	num_reg: 8  	lose cover RAM: 4865M
Apr 13 23:29:45  kernel: gran_size: 2M 	chunk_size: 16M 	num_reg: 8  	lose cover RAM: 1M
Apr 13 23:29:45  kernel: gran_size: 2M 	chunk_size: 32M 	num_reg: 8  	lose cover RAM: 1M
Apr 13 23:29:45  kernel: gran_size: 2M 	chunk_size: 64M 	num_reg: 8  	lose cover RAM: 1M
Apr 13 23:29:45  kernel: gran_size: 2M 	chunk_size: 128M 	num_reg: 8  	lose cover RAM: 1M
Apr 13 23:29:45  kernel: gran_size: 2M 	chunk_size: 256M 	num_reg: 8  	lose cover RAM: 1M
Apr 13 23:29:45  kernel: *BAD*gran_size: 2M 	chunk_size: 512M 	num_reg: 8  	lose cover RAM: -255M
Apr 13 23:29:45  kernel: gran_size: 2M 	chunk_size: 1G 	num_reg: 8  	lose cover RAM: 1M
Apr 13 23:29:45  kernel: *BAD*gran_size: 2M 	chunk_size: 2G 	num_reg: 8  	lose cover RAM: -1023M
Apr 13 23:29:45  kernel: gran_size: 4M 	chunk_size: 4M 	num_reg: 8  	lose cover RAM: 771M
Apr 13 23:29:45  kernel: gran_size: 4M 	chunk_size: 8M 	num_reg: 8  	lose cover RAM: 4867M
Apr 13 23:29:45  kernel: gran_size: 4M 	chunk_size: 16M 	num_reg: 8  	lose cover RAM: 3M
Apr 13 23:29:45  kernel: gran_size: 4M 	chunk_size: 32M 	num_reg: 8  	lose cover RAM: 3M
Apr 13 23:29:45  kernel: gran_size: 4M 	chunk_size: 64M 	num_reg: 8  	lose cover RAM: 3M
Apr 13 23:29:45  kernel: gran_size: 4M 	chunk_size: 128M 	num_reg: 8  	lose cover RAM: 3M
Apr 13 23:29:45  kernel: gran_size: 4M 	chunk_size: 256M 	num_reg: 8  	lose cover RAM: 3M
Apr 13 23:29:45  kernel: *BAD*gran_size: 4M 	chunk_size: 512M 	num_reg: 8  	lose cover RAM: -253M
Apr 13 23:29:45  kernel: gran_size: 4M 	chunk_size: 1G 	num_reg: 8  	lose cover RAM: 3M
Apr 13 23:29:45  kernel: *BAD*gran_size: 4M 	chunk_size: 2G 	num_reg: 8  	lose cover RAM: -1021M
Apr 13 23:29:45  kernel: gran_size: 8M 	chunk_size: 8M 	num_reg: 8  	lose cover RAM: 263M
Apr 13 23:29:45  kernel: gran_size: 8M 	chunk_size: 16M 	num_reg: 8  	lose cover RAM: 263M
Apr 13 23:29:45  kernel: gran_size: 8M 	chunk_size: 32M 	num_reg: 7  	lose cover RAM: 7M
Apr 13 23:29:45  kernel: gran_size: 8M 	chunk_size: 64M 	num_reg: 7  	lose cover RAM: 7M
Apr 13 23:29:45  kernel: gran_size: 8M 	chunk_size: 128M 	num_reg: 7  	lose cover RAM: 7M
Apr 13 23:29:45  kernel: gran_size: 8M 	chunk_size: 256M 	num_reg: 7  	lose cover RAM: 7M
Apr 13 23:29:45  kernel: gran_size: 8M 	chunk_size: 512M 	num_reg: 8  	lose cover RAM: 7M
Apr 13 23:29:45  kernel: gran_size: 8M 	chunk_size: 1G 	num_reg: 7  	lose cover RAM: 7M
Apr 13 23:29:45  kernel: gran_size: 8M 	chunk_size: 2G 	num_reg: 8  	lose cover RAM: 7M
Apr 13 23:29:45  kernel: gran_size: 16M 	chunk_size: 16M 	num_reg: 8  	lose cover RAM: 263M
Apr 13 23:29:45  kernel: gran_size: 16M 	chunk_size: 32M 	num_reg: 7  	lose cover RAM: 7M
Apr 13 23:29:45  kernel: gran_size: 16M 	chunk_size: 64M 	num_reg: 7  	lose cover RAM: 7M
Apr 13 23:29:45  kernel: gran_size: 16M 	chunk_size: 128M 	num_reg: 7  	lose cover RAM: 7M
Apr 13 23:29:45  kernel: gran_size: 16M 	chunk_size: 256M 	num_reg: 7  	lose cover RAM: 7M
Apr 13 23:29:45  kernel: gran_size: 16M 	chunk_size: 512M 	num_reg: 8  	lose cover RAM: 7M
Apr 13 23:29:45  kernel: gran_size: 16M 	chunk_size: 1G 	num_reg: 7  	lose cover RAM: 7M
Apr 13 23:29:45  kernel: gran_size: 16M 	chunk_size: 2G 	num_reg: 8  	lose cover RAM: 7M
Apr 13 23:29:45  kernel: gran_size: 32M 	chunk_size: 32M 	num_reg: 8  	lose cover RAM: 23M
Apr 13 23:29:45  kernel: gran_size: 32M 	chunk_size: 64M 	num_reg: 7  	lose cover RAM: 23M
Apr 13 23:29:45  kernel: gran_size: 32M 	chunk_size: 128M 	num_reg: 7  	lose cover RAM: 23M
Apr 13 23:29:45  kernel: gran_size: 32M 	chunk_size: 256M 	num_reg: 7  	lose cover RAM: 23M
Apr 13 23:29:45  kernel: gran_size: 32M 	chunk_size: 512M 	num_reg: 8  	lose cover RAM: 23M
Apr 13 23:29:45  kernel: gran_size: 32M 	chunk_size: 1G 	num_reg: 7  	lose cover RAM: 23M
Apr 13 23:29:45  kernel: gran_size: 32M 	chunk_size: 2G 	num_reg: 8  	lose cover RAM: 23M
Apr 13 23:29:45  kernel: gran_size: 64M 	chunk_size: 64M 	num_reg: 7  	lose cover RAM: 55M
Apr 13 23:29:45  kernel: gran_size: 64M 	chunk_size: 128M 	num_reg: 7  	lose cover RAM: 55M
Apr 13 23:29:45  kernel: gran_size: 64M 	chunk_size: 256M 	num_reg: 7  	lose cover RAM: 55M
Apr 13 23:29:45  kernel: gran_size: 64M 	chunk_size: 512M 	num_reg: 8  	lose cover RAM: 55M
Apr 13 23:29:45  kernel: gran_size: 64M 	chunk_size: 1G 	num_reg: 7  	lose cover RAM: 55M
Apr 13 23:29:45  kernel: gran_size: 64M 	chunk_size: 2G 	num_reg: 8  	lose cover RAM: 55M
Apr 13 23:29:45  kernel: gran_size: 128M 	chunk_size: 128M 	num_reg: 6  	lose cover RAM: 119M
Apr 13 23:29:45  kernel: gran_size: 128M 	chunk_size: 256M 	num_reg: 7  	lose cover RAM: 119M
Apr 13 23:29:45  kernel: gran_size: 128M 	chunk_size: 512M 	num_reg: 8  	lose cover RAM: 119M
Apr 13 23:29:45  kernel: gran_size: 128M 	chunk_size: 1G 	num_reg: 7  	lose cover RAM: 119M
Apr 13 23:29:45  kernel: gran_size: 128M 	chunk_size: 2G 	num_reg: 8  	lose cover RAM: 119M
Apr 13 23:29:45  kernel: gran_size: 256M 	chunk_size: 256M 	num_reg: 5  	lose cover RAM: 247M
Apr 13 23:29:45  kernel: gran_size: 256M 	chunk_size: 512M 	num_reg: 5  	lose cover RAM: 247M
Apr 13 23:29:45  kernel: gran_size: 256M 	chunk_size: 1G 	num_reg: 5  	lose cover RAM: 247M
Apr 13 23:29:45  kernel: gran_size: 256M 	chunk_size: 2G 	num_reg: 6  	lose cover RAM: 247M
Apr 13 23:29:45  kernel: gran_size: 512M 	chunk_size: 512M 	num_reg: 4  	lose cover RAM: 503M
Apr 13 23:29:45  kernel: gran_size: 512M 	chunk_size: 1G 	num_reg: 5  	lose cover RAM: 503M
Apr 13 23:29:45  kernel: gran_size: 512M 	chunk_size: 2G 	num_reg: 6  	lose cover RAM: 503M
Apr 13 23:29:45  kernel: gran_size: 1G 	chunk_size: 1G 	num_reg: 3  	lose cover RAM: 1015M
Apr 13 23:29:45  kernel: gran_size: 1G 	chunk_size: 2G 	num_reg: 3  	lose cover RAM: 1015M
Apr 13 23:29:45  kernel: gran_size: 2G 	chunk_size: 2G 	num_reg: 2  	lose cover RAM: 2039M
Apr 13 23:29:45  kernel: mtrr_cleanup: can not find optimal value
Apr 13 23:29:45  kernel: please specify mtrr_gran_size/mtrr_chunk_size

Apr 13 23:29:45  kernel: mtrr: type mismatch for d0000000,10000000 old: write-back new: write-combining
Apr 13 23:29:45  kernel: [drm] MTRR allocation failed.  Graphics performance may suffer.

Expected results:

Apr 14 12:39:28 kernel: total RAM covered: ("Correct RAM value here")
Apr 14 12:39:28 kernel: Found optimal setting for mtrr clean up
Apr 14 12:39:28 kernel: "Correct gran size and chunk should be reported here"


Additional info:

mtrr finds a value if memory remap is disabled in bios. However approximately 700k is lost in the process which is not a good work around.

Hardware is a Intel G33 chipset with 8gb ram, q6600 cpu.
Comment 2 Prarit Bhargava 2012-04-20 08:04:04 EDT
Typically these errors point at the BIOS not configuring the MTRRs correctly.  Can you verify that you have the latest BIOS on the system?

Thanks,

P.
Comment 3 ionosphere 2012-04-20 23:21:00 EDT
I did upgrade to a newer bios so I am little skeptical that it is a bios since this machine has been running 5.x for several years without issue. It was only after upgrading to 6.2 that it started happening.

I have several identical machines with the same bios revision but it is only the one with 8gb of RAM that produces the problem.  4gb works fine.  thx
Comment 4 Prarit Bhargava 2012-04-24 08:37:15 EDT
Is this a Red Hat Certified system?  If so, can you send me the vendor and model #?

Thanks,

P.
Comment 5 ionosphere 2012-04-24 13:35:42 EDT
No, it is an Asus P5K-VM motherboard with an Intel G33 chipset.  thx
Comment 6 Prarit Bhargava 2012-04-24 14:40:03 EDT
Do you know if the same problem occurs with the upstream kernel?

Thanks,

P.
Comment 7 ionosphere 2012-04-24 15:04:06 EDT
Have not tested it on upstream kernel since I thought the kernels were identical.
Comment 8 Prarit Bhargava 2012-04-24 15:22:16 EDT
(In reply to comment #7)
> Have not tested it on upstream kernel since I thought the kernels were
> identical.

Nope, we're very different from upstream.  Can you try installing Fedora or at least booting the Fedora Live CD?  It would be interesting to know if these problems were occurring on something recent...

P.
Comment 9 ionosphere 2012-04-24 19:59:45 EDT
Just tried Fedora 16 live and it exists there also.

Correction on comment #3. I said I did not have the problem in 5.x but just realized I was running i386 PAE kernel then.  6.2 kernels which I am reporting our running x86_64.
Comment 10 Prarit Bhargava 2012-04-29 18:55:16 EDT
(In reply to comment #9)
> Just tried Fedora 16 live and it exists there also.
> 
> Correction on comment #3. I said I did not have the problem in 5.x but just
> realized I was running i386 PAE kernel then.  6.2 kernels which I am reporting
> our running x86_64.

That's not unusual.  RHEL6 is much more sophisticated in it's error checking and diagnosis.  Since this happens upstream, and this system is not a certified system it is likely a BIOS issue with your system.

Please contact your hardware vendor.  AFAICT the issue lies with them and not the RHEL kernel.

P.

Note You need to log in before you can comment on or make changes to this bug.